summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure417
1 files changed, 414 insertions, 3 deletions
diff --git a/configure b/configure
index be66c88..bcb66c1 100755
--- a/configure
+++ b/configure
@@ -790,9 +790,9 @@ subdirs="bin util"
PACKAGE=rancid
# VERSION needs to be updated such that 'make dist' uses the correct
-# filename for the direcotyr name and tarball.
+# filename for the directory name and tarball.
-VERSION=2.0
+VERSION=2.1b
echo $ac_n "checking whether to enable maintainer-specific portions of Makefiles""... $ac_c" 1>&6
echo "configure:799: checking whether to enable maintainer-specific portions of Makefiles" >&5
@@ -1576,6 +1576,66 @@ if test $EXPECT_PATH = no; then
fi
+# locate ping and it's syntax
+# Extract the first word of "ping", so it can be a program name with args.
+set dummy ping; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1584: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_PING_PATH'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+else
+ case "$PING_PATH" in
+ /*)
+ ac_cv_path_PING_PATH="$PING_PATH" # Let the user override the test with a path.
+ ;;
+ ?:/*)
+ ac_cv_path_PING_PATH="$PING_PATH" # Let the user override the test with a dos path.
+ ;;
+ *)
+ IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
+ ac_dummy="$PATH"
+ for ac_dir in $ac_dummy; do
+ test -z "$ac_dir" && ac_dir=.
+ if test -f $ac_dir/$ac_word; then
+ ac_cv_path_PING_PATH="$ac_dir/$ac_word"
+ break
+ fi
+ done
+ IFS="$ac_save_ifs"
+ test -z "$ac_cv_path_PING_PATH" && ac_cv_path_PING_PATH="no"
+ ;;
+esac
+fi
+PING_PATH="$ac_cv_path_PING_PATH"
+if test -n "$PING_PATH"; then
+ echo "$ac_t""$PING_PATH" 1>&6
+else
+ echo "$ac_t""no" 1>&6
+fi
+
+if test $PING_PATH = no; then
+ { echo "configure: error: can't locate ping." 1>&2; exit 1; }
+ exit 1
+fi
+# ping seems to take one of two formats for count (N)
+# BSD: ping -c N host
+# SVR: ping host N
+$PING_PATH -c 1 -v 127.0.0.1 > /dev/null 2>&1
+if test $? -ne 0 ; then
+ $PING_PATH 127.0.0.1 56 1 > /dev/null 2>&1
+ if test $? -ne 0 ; then
+ { echo "configure: error: can't figure out how to pass count == 1 to $PING_PATH." 1>&2; exit 1; }
+ exit 1
+ else
+ LG_PING_CMD="$PING_PATH"
+
+ fi
+else
+ LG_PING_CMD="$PING_PATH -c 1"
+
+fi
+rd_cv_lg_ping_cmd=$LG_PING_CMD
+
# RD_BIN_DATAS are bin/ .in's that need to be installed without execute
# perms.
RD_BIN_DATAS=""
@@ -1590,14 +1650,361 @@ rancid rename rrancid"
rd_cv_rd_bin_progs=$RD_BIN_PROGS
-# RD_BIN_PROGS are util/ .in's that need to be installed with execute perms.
+# RD_UTIL_PROGS are util/ .in's that need to be installed with execute perms.
RD_UTIL_PROGS="rtrfilter"
rd_cv_rd_util_progs=$RD_UTIL_PROGS
+# RD_UTIL_LG_PROGS are util/lg .in's that need to be installed with execute
+# perms.
+RD_UTIL_LG_PROGS="lg.cgi lgform.cgi"
+
+rd_cv_rd_util_lg_progs=$RD_UTIL_LG_PROGS
+
INST_PROGS=$progs
+# locate tools to build $PATH for env. order is significant. want to be
+# sure that we pick up the the proper diff and ucbmail in bin/env.
+unset ENV_PATH
+# Extract the first word of "diff", so it can be a program name with args.
+set dummy diff; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1674: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_DIFF'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+else
+ case "$DIFF" in
+ /*)
+ ac_cv_path_DIFF="$DIFF" # Let the user override the test with a path.
+ ;;
+ ?:/*)
+ ac_cv_path_DIFF="$DIFF" # Let the user override the test with a dos path.
+ ;;
+ *)
+ IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
+ ac_dummy="$PATH"
+ for ac_dir in $ac_dummy; do
+ test -z "$ac_dir" && ac_dir=.
+ if test -f $ac_dir/$ac_word; then
+ ac_cv_path_DIFF="$ac_dir/$ac_word"
+ break
+ fi
+ done
+ IFS="$ac_save_ifs"
+ test -z "$ac_cv_path_DIFF" && ac_cv_path_DIFF="no"
+ ;;
+esac
+fi
+DIFF="$ac_cv_path_DIFF"
+if test -n "$DIFF"; then
+ echo "$ac_t""$DIFF" 1>&6
+else
+ echo "$ac_t""no" 1>&6
+fi
+
+ENV_PATH=`dirname $ac_cv_path_DIFF`
+# Extract the first word of "Mail", so it can be a program name with args.
+set dummy Mail; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1711: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_UCBMAIL'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+else
+ case "$UCBMAIL" in
+ /*)
+ ac_cv_path_UCBMAIL="$UCBMAIL" # Let the user override the test with a path.
+ ;;
+ ?:/*)
+ ac_cv_path_UCBMAIL="$UCBMAIL" # Let the user override the test with a dos path.
+ ;;
+ *)
+ IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
+ ac_dummy="$PATH"
+ for ac_dir in $ac_dummy; do
+ test -z "$ac_dir" && ac_dir=.
+ if test -f $ac_dir/$ac_word; then
+ ac_cv_path_UCBMAIL="$ac_dir/$ac_word"
+ break
+ fi
+ done
+ IFS="$ac_save_ifs"
+ test -z "$ac_cv_path_UCBMAIL" && ac_cv_path_UCBMAIL="no"
+ ;;
+esac
+fi
+UCBMAIL="$ac_cv_path_UCBMAIL"
+if test -n "$UCBMAIL"; then
+ echo "$ac_t""$UCBMAIL" 1>&6
+else
+ echo "$ac_t""no" 1>&6
+fi
+
+ENV_PATH="$ENV_PATH:`dirname $ac_cv_path_UCBMAIL`"
+# Extract the first word of "cvs", so it can be a program name with args.
+set dummy cvs; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1748: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_CVS'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+else
+ case "$CVS" in
+ /*)
+ ac_cv_path_CVS="$CVS" # Let the user override the test with a path.
+ ;;
+ ?:/*)
+ ac_cv_path_CVS="$CVS" # Let the user override the test with a dos path.
+ ;;
+ *)
+ IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
+ ac_dummy="$PATH"
+ for ac_dir in $ac_dummy; do
+ test -z "$ac_dir" && ac_dir=.
+ if test -f $ac_dir/$ac_word; then
+ ac_cv_path_CVS="$ac_dir/$ac_word"
+ break
+ fi
+ done
+ IFS="$ac_save_ifs"
+ test -z "$ac_cv_path_CVS" && ac_cv_path_CVS="no"
+ ;;
+esac
+fi
+CVS="$ac_cv_path_CVS"
+if test -n "$CVS"; then
+ echo "$ac_t""$CVS" 1>&6
+else
+ echo "$ac_t""no" 1>&6
+fi
+
+ENV_PATH="$ENV_PATH:`dirname $ac_cv_path_CVS`"
+# Extract the first word of "comm", so it can be a program name with args.
+set dummy comm; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1785: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_COMM'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+else
+ case "$COMM" in
+ /*)
+ ac_cv_path_COMM="$COMM" # Let the user override the test with a path.
+ ;;
+ ?:/*)
+ ac_cv_path_COMM="$COMM" # Let the user override the test with a dos path.
+ ;;
+ *)
+ IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
+ ac_dummy="$PATH"
+ for ac_dir in $ac_dummy; do
+ test -z "$ac_dir" && ac_dir=.
+ if test -f $ac_dir/$ac_word; then
+ ac_cv_path_COMM="$ac_dir/$ac_word"
+ break
+ fi
+ done
+ IFS="$ac_save_ifs"
+ test -z "$ac_cv_path_COMM" && ac_cv_path_COMM="no"
+ ;;
+esac
+fi
+COMM="$ac_cv_path_COMM"
+if test -n "$COMM"; then
+ echo "$ac_t""$COMM" 1>&6
+else
+ echo "$ac_t""no" 1>&6
+fi
+
+ENV_PATH="$ENV_PATH:`dirname $ac_cv_path_COMM`"
+# Extract the first word of "mkdir", so it can be a program name with args.
+set dummy mkdir; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1822: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_MKDIR'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+else
+ case "$MKDIR" in
+ /*)
+ ac_cv_path_MKDIR="$MKDIR" # Let the user override the test with a path.
+ ;;
+ ?:/*)
+ ac_cv_path_MKDIR="$MKDIR" # Let the user override the test with a dos path.
+ ;;
+ *)
+ IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
+ ac_dummy="$PATH"
+ for ac_dir in $ac_dummy; do
+ test -z "$ac_dir" && ac_dir=.
+ if test -f $ac_dir/$ac_word; then
+ ac_cv_path_MKDIR="$ac_dir/$ac_word"
+ break
+ fi
+ done
+ IFS="$ac_save_ifs"
+ test -z "$ac_cv_path_MKDIR" && ac_cv_path_MKDIR="no"
+ ;;
+esac
+fi
+MKDIR="$ac_cv_path_MKDIR"
+if test -n "$MKDIR"; then
+ echo "$ac_t""$MKDIR" 1>&6
+else
+ echo "$ac_t""no" 1>&6
+fi
+
+ENV_PATH="$ENV_PATH:`dirname $ac_cv_path_MKDIR`"
+# Extract the first word of "dirname", so it can be a program name with args.
+set dummy dirname; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1859: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_DIRNAME'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+else
+ case "$DIRNAME" in
+ /*)
+ ac_cv_path_DIRNAME="$DIRNAME" # Let the user override the test with a path.
+ ;;
+ ?:/*)
+ ac_cv_path_DIRNAME="$DIRNAME" # Let the user override the test with a dos path.
+ ;;
+ *)
+ IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
+ ac_dummy="$PATH"
+ for ac_dir in $ac_dummy; do
+ test -z "$ac_dir" && ac_dir=.
+ if test -f $ac_dir/$ac_word; then
+ ac_cv_path_DIRNAME="$ac_dir/$ac_word"
+ break
+ fi
+ done
+ IFS="$ac_save_ifs"
+ test -z "$ac_cv_path_DIRNAME" && ac_cv_path_DIRNAME="no"
+ ;;
+esac
+fi
+DIRNAME="$ac_cv_path_DIRNAME"
+if test -n "$DIRNAME"; then
+ echo "$ac_t""$DIRNAME" 1>&6
+else
+ echo "$ac_t""no" 1>&6
+fi
+
+ENV_PATH="$ENV_PATH:`dirname $ac_cv_path_DIRNAME`"
+# Extract the first word of "touch", so it can be a program name with args.
+set dummy touch; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1896: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_TOUCH'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+else
+ case "$TOUCH" in
+ /*)
+ ac_cv_path_TOUCH="$TOUCH" # Let the user override the test with a path.
+ ;;
+ ?:/*)
+ ac_cv_path_TOUCH="$TOUCH" # Let the user override the test with a dos path.
+ ;;
+ *)
+ IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
+ ac_dummy="$PATH"
+ for ac_dir in $ac_dummy; do
+ test -z "$ac_dir" && ac_dir=.
+ if test -f $ac_dir/$ac_word; then
+ ac_cv_path_TOUCH="$ac_dir/$ac_word"
+ break
+ fi
+ done
+ IFS="$ac_save_ifs"
+ test -z "$ac_cv_path_TOUCH" && ac_cv_path_TOUCH="no"
+ ;;
+esac
+fi
+TOUCH="$ac_cv_path_TOUCH"
+if test -n "$TOUCH"; then
+ echo "$ac_t""$TOUCH" 1>&6
+else
+ echo "$ac_t""no" 1>&6
+fi
+
+ENV_PATH="$ENV_PATH:`dirname $ac_cv_path_TOUCH`"
+# Extract the first word of "sendmail", so it can be a program name with args.
+set dummy sendmail; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1933: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_SENDMAIL'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+else
+ case "$SENDMAIL" in
+ /*)
+ ac_cv_path_SENDMAIL="$SENDMAIL" # Let the user override the test with a path.
+ ;;
+ ?:/*)
+ ac_cv_path_SENDMAIL="$SENDMAIL" # Let the user override the test with a dos path.
+ ;;
+ *)
+ IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
+ ac_dummy="$PATH"
+ for ac_dir in $ac_dummy; do
+ test -z "$ac_dir" && ac_dir=.
+ if test -f $ac_dir/$ac_word; then
+ ac_cv_path_SENDMAIL="$ac_dir/$ac_word"
+ break
+ fi
+ done
+ IFS="$ac_save_ifs"
+ test -z "$ac_cv_path_SENDMAIL" && ac_cv_path_SENDMAIL="no"
+ ;;
+esac
+fi
+SENDMAIL="$ac_cv_path_SENDMAIL"
+if test -n "$SENDMAIL"; then
+ echo "$ac_t""$SENDMAIL" 1>&6
+else
+ echo "$ac_t""no" 1>&6
+fi
+
+ENV_PATH="$ENV_PATH:`dirname $ac_cv_path_SENDMAIL`"
+# Extract the first word of "sort", so it can be a program name with args.
+set dummy sort; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1970: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_path_SORT'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+else
+ case "$SORT" in
+ /*)
+ ac_cv_path_SORT="$SORT" # Let the user override the test with a path.
+ ;;
+ ?:/*)
+ ac_cv_path_SORT="$SORT" # Let the user override the test with a dos path.
+ ;;
+ *)
+ IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
+ ac_dummy="$PATH"
+ for ac_dir in $ac_dummy; do
+ test -z "$ac_dir" && ac_dir=.
+ if test -f $ac_dir/$ac_word; then
+ ac_cv_path_SORT="$ac_dir/$ac_word"
+ break
+ fi
+ done
+ IFS="$ac_save_ifs"
+ test -z "$ac_cv_path_SORT" && ac_cv_path_SORT="no"
+ ;;
+esac
+fi
+SORT="$ac_cv_path_SORT"
+if test -n "$SORT"; then
+ echo "$ac_t""$SORT" 1>&6
+else
+ echo "$ac_t""no" 1>&6
+fi
+
+ENV_PATH="$ENV_PATH:`dirname $ac_cv_path_SORT`"
+ENV_PATH="$ENV_PATH:/usr/local/bin:/usr/bin"
+
+ENV_PATH=`echo $ENV_PATH | $PERLV_PATH -e 'foreach $x(split(":",<>)){next unless (length($x));push(@F, $x),$seen{$x}=1 unless (defined $seen{$x});}print join(":",@F);'`
+ac_cv_env_path=$ENV_PATH
+
trap '' 1 2 15
cat > confcache <<\EOF
@@ -1772,10 +2179,14 @@ s%@MAKE@%$MAKE%g
s%@TAR@%$TAR%g
s%@PERLV_PATH@%$PERLV_PATH%g
s%@EXPECT_PATH@%$EXPECT_PATH%g
+s%@PING_PATH@%$PING_PATH%g
+s%@LG_PING_CMD@%$LG_PING_CMD%g
s%@RD_BIN_DATAS@%$RD_BIN_DATAS%g
s%@RD_BIN_PROGS@%$RD_BIN_PROGS%g
s%@RD_UTIL_PROGS@%$RD_UTIL_PROGS%g
+s%@RD_UTIL_LG_PROGS@%$RD_UTIL_LG_PROGS%g
s%@INST_PROGS@%$INST_PROGS%g
+s%@ENV_PATH@%$ENV_PATH%g
CEOF
EOF